@echo off

set AS_BIN_PATH=C:\Utilities\AS\bin
set PROJNAME=spindizzy
set FILENAME=spindizzy
set OUT_FILENAME=spindizzy-disk
set LDR_FILENAME=spindizzy-ldr-disk
set COM_FILENAME=spindz.com
set PROJPATH=D:\8bit\PMD-85\projects\%PROJNAME%
set SRCPATH=%PROJPATH%\src
set OUTPATH=%PROJPATH%\out
set DISKPATH=D:\!BCB-RAD-Proj\PMD85Emu2\exe\Disk

cd /D %AS_BIN_PATH%

asw -U -L -D ORG_ADDR=103h -D MEDIUM_DISK -OLIST %SRCPATH%\%OUT_FILENAME%.lst -i %SRCPATH% -o %OUTPATH%\%OUT_FILENAME%.p %SRCPATH%\%FILENAME%.a8080
if ERRORLEVEL 1 goto error

p2bin %OUTPATH%\%OUT_FILENAME%.p %OUTPATH%\%OUT_FILENAME%.bin -k -l 0 -r $-$
if ERRORLEVEL 1 goto error

quido -i8080 -a 0x103 -ja 0x103 -ra 0x9600 %OUTPATH%\%OUT_FILENAME%.bin
if ERRORLEVEL 1 goto error

asw -U -L -i %SRCPATH% -o %OUTPATH%\%LDR_FILENAME%.p %SRCPATH%\%LDR_FILENAME%.a8080
if ERRORLEVEL 1 goto error

p2bin %OUTPATH%\%LDR_FILENAME%.p %OUTPATH%\%OUT_FILENAME%2.bin -k -l 0 -r $-$
if ERRORLEVEL 1 goto error

quido -i8080 -a 0x100 -ja 0x100 -ra 0x9C00 -o %OUTPATH%\%COM_FILENAME% %OUTPATH%\%OUT_FILENAME%2.bin
if ERRORLEVEL 1 goto error

cim %OUTPATH%\%FILENAME%.p32 -e %COM_FILENAME%
cim %OUTPATH%\%FILENAME%.p32 -a %OUTPATH%\%COM_FILENAME%
if ERRORLEVEL 1 goto error

cim %OUTPATH%\%FILENAME%.dz8 -e %COM_FILENAME%
cim %OUTPATH%\%FILENAME%.dz8 -a %OUTPATH%\%COM_FILENAME%
if ERRORLEVEL 1 goto error

copy /B %OUTPATH%\%FILENAME%.p32 %DISKPATH%\%FILENAME%.p32
copy /B %OUTPATH%\%FILENAME%.dz8 %DISKPATH%\c2717\%FILENAME%.dz8

goto end

:error
echo Chyba kompilacie.
pause

:end
rem pause
